Subject: Re: linux-next: build failure after merge of the rcu tree

From: Jiri Wiesner <[email-masked]>
Date: Wed, 24 Jan 2024 10:49:54 +0100

On Wed, Jan 24, 2024 at 03:17:43PM +1100, Stephen Rothwell wrote:
> After merging the rcu tree, today's linux-next build (i386 defconfig)
> failed like this:
> In file included from include/linux/dev_printk.h:14,
>                  from include/linux/device.h:15,
>                  from kernel/time/clocksource.c:10:
> kernel/time/clocksource.c: In function 'clocksource_watchdog':
> kernel/time/clocksource.c:103:34: error: integer overflow in expression of type 'long int' results in '-1619276800' [-Werror=overflow]
>   103 |                                  * NSEC_PER_SEC / HZ)
>       |                                  ^
> Caused by commit
>   1a4545025600 ("clocksource: Skip watchdog check for large watchdog intervals")
> I have used the rcu tree from next-20240123 for today.

This particular patch is still beging discussed on the LKML. This is the 
latest submission with improved variable naming, increased threshold and 
changes to the log and the warning message (as proposed by tglx):
https://lore.kernel.org/lkml/20240122172350.GA740@incl/
Especially the change to the message is important. I think this message 
will be commonplace on 8 NUMA node (and larger) machines. If there is 
anything else I can do to assist please let me know.
-- 
Jiri Wiesner
SUSE Labs